.i-ko-trigger{cursor: pointer;z-index:2;}
.i-ko-trigger:hover{-webkit-filter: brightness(120%);-moz-filter:brightness(120%);-o-filter: brightness(120%);-ms-filter: brightness(120%);filter: brightness(120%);}
.i-ko-trigger.option-text-icon:after{display:inline-block;margin-left:.2em;content:"\e6cf";font-family:'iconfont';}

.ul-hidden{display: none;}
.m-ko-options{position: absolute;top: 100%;left: 0;width: 4.6rem;text-align: center;-webkit-border-radius: .1rem;-moz-border-radius:.1rem;border-radius: .1rem;z-index:1;opacity: 0;-webkit-transition: .3s ease-in;transition: .3s ease-in;background: rgba(30,50,100,.9);color: #FFF;}
.m-ko-options li span{display: block;position: relative;padding: .1rem .3rem;word-break:keep-all;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;cursor: pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none; user-select:none;-webkit-border-radius: .1rem;-moz-border-radius:.1rem;border-radius: .1rem;}
.m-ko-options li.ul-parent > span{padding-right: .5rem;}
.m-ko-options li span:hover{text-decoration: underline;}
.m-ko-options li span.current{background: rgba(30,50,120,.9);}
.m-ko-options:before{content:'';display: block;position: absolute;left: .14rem;bottom: 100%;margin-left: -.5em;margin-top: -.1em;border-width:.5em;display: block;width:0;height:0;border-style:solid;border-color: transparent  transparent rgba(24,41,96,.9) transparent;}
.m-ko-options.right{left: auto;right: 0;}
.m-ko-options.right:before{left:auto;right: .14rem;}
.m-ko-options li.ul-parent{position: relative;}
.m-ko-options li.ul-parent > span:after{content:"\e6a6";font-family: 'iconfont';display: block;position: absolute;position: absolute;right: .14rem;top: 50%;-webkit-transform: translate(0,-50%);transform: translate(0,-50%);font-size: .26rem;}
.m-ko-options li.ul-parent > span.open:after{content:"\e6a5";font-family: 'iconfont';display: block;position: absolute;position: absolute;right: .14rem;top: 50%;-webkit-transform: translate(0,-50%);transform: translate(0,-50%);font-size: .26rem;}

.m-ko-options.ul-over{opacity: 1;}
.m-ko-options ul{display: none;background: rgba(24,41,96,.6);}
.m-ko-options.right ul{left:auto;right: 100%;}
.m-ko-options .option-none{display: none;}



.m-ko-options.showOnTop{top:auto;bottom:100%;}
.m-ko-options.showOnTop:before{top:100%;margin-left:.5rem;margin-bottom:-.1em;border-width:.5em;display:block;width:0;height:0;border-style:solid;border-color:#1B2F63  transparent transparent transparent ;}
